/**
 *    Copyright 2006 - 2011 Opera Software ASA
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 **/


/* load after build_application.js */

window.app.builders.WindowManager || ( window.app.builders.WindowManager = {} );
/**
  * @param {Object} service the service description of the according service on the host side
  */
window.app.builders.WindowManager["2.0"] = function(service)
{
  var namespace = cls.WindowManager && cls.WindowManager["2.0"];
  var service_interface = window.services['window-manager'];
  if(service_interface)
  {
    window.window_manager_data = new namespace.WindowManagerData();
    window.window_manager_data.bind(service_interface);
    window.windowsDropDown = new namespace.WindowsDropDown();
    namespace.DebuggerMenu.prototype = new CstSelectWithAction();
    new namespace.DebuggerMenu('debugger-menu', 'debugger-menu');
    return true;
  }
}
